#ifndef ZTALARMS_H
#define ZTALARMS_H

#include <QList>

class CZTAlarms
{
public:
    CZTAlarms();
    void ClearAllAlarms();
    void ClearZT1Alarms();
    void ClearZT2Alarms();

    QList<int> mZT1PPIAlarmRanks,mZT1PPEAlarmRanks,mZT1PGAlarmRanks,mZT1FNAlarmRanks;
    QList<int> mZT2PPIAlarmRanks,mZT2PPEAlarmRanks;
    bool mZT1AxleCountAlarm, mZT1EquipmentFailureAlarm;
    bool mZT2AxleCountAlarm, mZT2EquipmentFailureAlarm;
};

#endif // ZTALARMS_H
